#!/usr/bin/perl

use strict;
use FDN::Common::Config;

close STDERR;
open STDERR, ">>/var/tmp/fdn/get-image.log";

my $img = $ARGV[0];
print STDERR "Numerisation de l'image: $img\n";

my $resol = $ARGV[1];
if ( ! defined $resol || $resol < 20 ) {
	$resol = 100;
}

my $dir = Config_Key('scan.cfg','common','imgdir');
`mkdir -p $dir/todel`   if ( ! -d "$dir/todel" );
`mkdir -p $dir/tosend`  if ( ! -d "$dir/tosend" );
`mkdir -p $dir/sent`    if ( ! -d "$dir/sent" );
`mkdir -p $dir/sending` if ( ! -d "$dir/sending" );

my $tifimg = $dir.'/todel/'.$img.'.tiff';
my $jpgimg = $dir.'/tosend/'.$img.'.jpg';
my $tnimg  = $dir.'/tosend/tn-'.$img.'.jpg';

my $driver = Config_Key('scan.cfg','common','driver');
my $scan = 'scanimage -d '.$driver.' --format=tiff -x 210 -y 296 --mode Gray --resolution '.$resol.' >'.$tifimg;
my $cvrt1 = 'convert '.$tifimg.' '.$jpgimg;
my $cvrt2 = 'convert -size 210x297 '.$jpgimg.' -resize 210x297 +profile "*" '.$tnimg;

`$scan`;
if ( $? ) {
	print STDERR "Failed: $scan\nStatus: $?\n";
	print "KO\n";
	exit(0);
}
`$cvrt1`;
if ( $? ) {
	print STDERR "Failed: $cvrt1\nStatus: $?\n";
	print "KO\n";
	exit(0);
}
`$cvrt2`;
if ( $? ) {
	print STDERR "Failed: $cvrt2\nStatus: $?\n";
	print "KO\n";
	exit(0);
}

print STDERR "Scan OK\n";
print "OK\n";

my $exedir = Config_Key('scan.cfg','common','exedir');
`$exedir/send-image.pl&`
