#!/usr/bin/perl

use strict;
use FDN::Common::Config;

my $imgdir = Config_Key('scan.cfg','common','imgdir');
chdir $imgdir;

close STDERR;
open STDERR, ">>send-image.log";

my $user = Config_Key('scan.cfg','upload','user');
my $host = Config_Key('scan.cfg','upload','host');
my $dir  = Config_Key('scan.cfg','upload','dir' );
my $key  = Config_Key('scan.cfg','upload','key' );

my $dest = $user.'@'.$host.':'.$dir;

opendir DIR, "tosend";
my $file;
while ($file = readdir DIR) {
	next if $file eq '.';
	next if $file eq '..';
	next if -f 'sending/'.$file.'.pid';
	open OUT, ">sending/$file.pid";
	print OUT $$;
	close OUT;
	`mv tosend/$file sending`;
	print STDERR "Sending file $file\n";
	my $ret;
	my $cmd = 'scp';
	$cmd .= " -i $key" if $key;
	if ( $file =~ /^img.*\.jpg$/ ) {
		$cmd .= " sending/$file $dest/jpeg";
	} elsif ( $file =~ /^tn-img.*\.jpg$/ ) {
		$cmd .= " sending/$file $dest/thumbnails";
	} elsif ( $file =~ /^(tn-)?test.*\.jpg$/ ) {
		$cmd .= " sending/$file $dest/test";
	} else {
		$cmd .= " sending/$file $dest/wrong";
	}
	$ret = system($cmd);
	if ( $ret ) {
		print STDERR "Failed: $cmd\nStatus: $?\n";
		`mv sending/$file tosend`;
	} else {
		print STDERR "Success: $cmd\n";
		`mv sending/$file sent`;
	}
	`rm sending/$file.pid`;
}

